<?php

$user=$ku;


$arena_o = mysql_fetch_array(mysql_querll("SELECT * FROM `arena` WHERE `oponent` = '$ku[nick]'"));
$arena_w = mysql_fetch_array(mysql_querll("SELECT * FROM `arena` WHERE `lider` = '$ku[nick]'"));
if($arena_o['oponent'] == $user['nick']) header('Location: ?go_boy'); //// если есть уже в бою
if($arena_w['lider'] == $user['nick'])  header('Location: ?go_boy');  //// если есть уже в бою


echo "<div class='content'>";

echo '<div class="block">';

$udata2 = $ku;

if(isset($_GET['ok'])){
 
$min=abs(intval($_POST['min'])); 
$max=abs(intval($_POST['max']));
		
			if(empty($min))
		{
				echo 'Вы не указали минимальный уровень с которым игроки смогут вступить в бой с вами!<br /><a href="add_boy.asp">Назад</a>';
		}
			if(empty($max))
		{
				echo 'Вы не указали максимальный уровень с которым игроки смогут вступить в бой с вами!<br /><a href="add_boy.asp">Назад</a>';
		}

			if(!preg_match("|^[\d]*$|", $min))
			{
			 echo 'Пожалуйста введите числовое значение<br /><a href="add_boy.asp">Назад</a>';
			}
			if(!preg_match("|^[\d]*$|", $max))
			{
			echo 'Пожалуйста введите числовое значение<br /><a href="add_boy.asp">Назад</a>';
			}
			if($min < 1)
		{
				echo 'Вы не верно указали минимальный уровень!<br /><a href="add_boy.asp">Назад</a>';
		}

			if($max > 20)
		{
				echo 'Вы не верно указали максимальный уровень!<br /><a href="add_boy.asp">Назад</a>';
		}
		$time = time() + 600;
		mysql_querll("INSERT INTO
        `arena` SET
        `lider` = '".$udata2['nick']."',
        `id_lider` = '".$udata2['id']."',
        `oponent` = 'not',
		`min_lvl` = '$min',
		`max_lvl` = '$max',
        `arena1` = '$ku[arena1]',
        `arena2` = '$ku[arena2]',
        `arena3` = '$ku[arena3]',
        `arena4` = '$ku[arena4]',
        `arena5` = '$ku[arena5]',
        `hp` = '$ku[hp]',
         `status` = 'on',
		`timer` = '$time'");
		mysql_querll("INSERT INTO
        `tmp_arena` SET
        `usr` = '".$udata2['nick']."',
        `oponent` = 'not',
		`time` = '0',
		`losetime` = '0',
        `step` = 'not',
		`protect` = '',
		`attack` = ''");
		header ('Location: ?go_boy');
}else{
echo '<form action="?add_boy&amp;ok" method="post">';
	echo '<img width="16" height="16" src="/images/icons/sword.png" alt="o"/> Мин. уровень:<br/><select name="min">';
$i=0;
while($i<=$ku['arena1']){
echo"<option value=\"$i\">$i</option>";
$i++;
}
echo"</select><br/>";

	echo '<img width="16" height="16" src="/images/icons/sword.png" alt="o"/> Макс. уровень:<br/><select name="max">';
$i=0;
$levelaren=$ku['level']+5;
while($i<=$levelaren){
echo"<option value=\"$i\">$i</option>";
$i++;
}
echo"</select><br/>";
	echo '<input class="button" type="submit" value="Создать" /></form>';

}
  	

echo '</div>
</div>';
include_once 'inc/foot.php';








?>